<?php

namespace App\Console\Commands;

use Illuminate\Console\Command;

use App\Classes\ANSI;

class ANSIDecode extends Command
{
	/**
	 * The name and signature of the console command.
	 *
	 * @var string
	 */
	protected $signature = 'ansi:decode'
		.' {file : ANS file to decode}';

	/**
	 * The console command description.
	 *
	 * @var string
	 */
	protected $description = 'Decode ANS file from custom binary';

	/**
	 * Execute the console command.
	 *
	 * @return mixed
	 */
	public function handle()
	{
		echo ANSI::ansi($this->argument('file'));
	}
}