<div id="sidebar-scroller">
	FTN Networks

	@auth
	<dl>
		<dt>My Systems</dt>
		@foreach ($user->systems->sortBy('name') as $o)
			<dd><a href="{{ url('system/addedit',['id'=>$o->id]) }}">{{ $o->name }}</a></dd>
		@endforeach
	</dl>
	@endauth

	<dl>
		<dt>Explore Networks</dt>
		@foreach (\App\Models\Domain::select(['id','name'])
			->when(((! $user) || (! $user->isAdmin())),function($query) { return $query->public()->active(); })
			->orderBy('name')
			->get() as $o)
			@if ($o->isManaged())
				<dd><a href="{{ url('domain/view',['id'=>$o->id]) }}">{{ $o->name }}</a></dd>
			@endif
		@endforeach
	</dl>

	@auth
		@if ($user->isZC())
			<dl>
				<dt>Network Admin</dt>
				<dd><a href="{{ url('domain') }}">Domains</a></dd>
				<dd><a href="{{ url('system') }}">Systems</a></dd>
				<dd><a href="{{ url('zone') }}">Zones</a></dd>
				<dd><a href="{{ url('echoarea') }}">Echoareas</a></dd>
				<dd><a href="{{ url('filearea') }}">Fileareas</a></dd>
			</dl>

			<dl>
				<dt>System Admin</dt>
				<dd><a href="{{ url('system/ours') }}">This Host Systems</a></dd>
			</dl>
		@endif

		@can('admin')
			<dl>
				<dt>Users</dt>
				<dd><a href="{{ url('user/addedit') }}">Create</a></dd>
				<dd><a href="{{ url('user/list') }}">List</a></dd>
			</dl>
		@endcan
	@endauth

	<dl>
		<dt>Debug</dt>
		<dd><a href="{{ url('pkt') }}">View Packet</a></dd>
	</dl>
</div>